import { ContentPluginsOptions } from '../index';
/**
 * Transforms a string of markdown into a string of HTML
 *
 * @param {string} markdown - A string of markdown
 * @param {object} [options] - Configuration options. Omit this argument to use remark & rehype without any plugins.
 * @param {(boolean|Object)} [options.contentPlugins] - Configure content plugins. Pass "true" to use our default content plugin set. Pass an object to use our default set with custom configuration. Supports all configuration options for remark and rehype plugins available in `@hashicorp/nextjs-scripts/markdown`.
 *
 */
export default function markdownToHtml(markdown: string, { contentPlugins }?: {
    contentPlugins?: ContentPluginsOptions | boolean;
}): Promise<string>;
